Bug 103903 - drm:wait_panel_status [i915] *ERROR* PPS state mismatch
Summary: drm:wait_panel_status [i915] *ERROR* PPS state mismatch
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other Linux (All)
: medium normal
Assignee: Imre Deak
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-25 12:22 UTC by joks
Modified: 2018-03-08 17:36 UTC (History)
3 users (show)

See Also:
i915 platform: SKL
i915 features:


Attachments
Avoid PPS state mismatch (2.33 KB, patch)
2017-11-28 11:24 UTC, Imre Deak
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description joks 2017-11-25 12:22:34 UTC
After updating the kernel to version 4.14.2 from 4.13 I have the following error when starting or shutting down my laptop:

journalctl -p 3 -xb
-- Logs begin at Wed 2017-11-01 15:50:11 CET, end at Sat 2017-11-25 13:10:18 CET. --
lis 25 13:06:41 manjaro systemd-udevd[217]: Error running install command for bluetooth
lis 25 13:06:43 manjaro kernel: [drm:wait_panel_status [i915]] *ERROR* PPS state mismatch
lis 25 13:06:43 manjaro kernel: [drm:wait_panel_status [i915]] *ERROR* PPS state mismatch
lis 25 13:06:43 manjaro kernel: [drm:wait_panel_status [i915]] *ERROR* PPS state mismatch


i use lenovo ideapad i310-15isk with intel i3 skylake + intel hd 520

If I can help and I must provide additional information then let me know
Comment 1 Imre Deak 2017-11-27 11:47:00 UTC
(In reply to joks from comment #0)
> After updating the kernel to version 4.14.2 from 4.13 I have the following
> error when starting or shutting down my laptop:
> 
> journalctl -p 3 -xb
> -- Logs begin at Wed 2017-11-01 15:50:11 CET, end at Sat 2017-11-25 13:10:18
> CET. --
> lis 25 13:06:41 manjaro systemd-udevd[217]: Error running install command
> for bluetooth
> lis 25 13:06:43 manjaro kernel: [drm:wait_panel_status [i915]] *ERROR* PPS
> state mismatch
> lis 25 13:06:43 manjaro kernel: [drm:wait_panel_status [i915]] *ERROR* PPS
> state mismatch
> lis 25 13:06:43 manjaro kernel: [drm:wait_panel_status [i915]] *ERROR* PPS
> state mismatch
> 
> 
> i use lenovo ideapad i310-15isk with intel i3 skylake + intel hd 520
> 
> If I can help and I must provide additional information then let me know

Could you provide the dmesg log booting with drm.debug=0x1e including the boot-up and the above error messages?

Could you try to reproduce the error with the drm-tip branch from git://anongit.freedesktop.org/drm-tip providing also the dmesg log?

Thanks.
Comment 2 joks 2017-11-27 18:47:24 UTC
ok so i add like you say drm.debug=0x1e to my grub and here the log:

dmesg | grep drm
https://pastebin.com/QqRPHbuy

full dmesg from last session with drm.debug=0x1e
journalctl --boot=-1
https://pastebin.com/d0FqxExk

i will tomorrow play with drm-tip but i can say that under manjaro we can also install kernel 4.15 for testing and i install today 4.15 for quick test and there is also this bug :/
Comment 3 joks 2017-11-27 20:55:10 UTC
so kernel drm-tip installed faster than I thought and the bug still exist.

full log:
http://pasted.co/50f68c2e
Comment 4 Imre Deak 2017-11-28 11:24:28 UTC
Created attachment 135748 [details] [review]
Avoid PPS state mismatch

Thanks. Looks to be only an error in our HW/SW state checker logic which doesn't lead to any other problem. I attached a patch that should get rid of the error message, could you give it a try?
Comment 5 joks 2017-11-28 19:29:34 UTC
so i tested this patch with latest kernel 4.14.3-rc1 and now all its ok. no errors reported in logs. thx for very quick fix!
Comment 6 Imre Deak 2017-11-30 12:58:02 UTC
An equivalent fix merged to drm-tip so marking FIXED.
Comment 7 kepade 2017-12-03 13:29:53 UTC
here…… I upgrade to kernel 4.14-3-1, have the some problem as there

➜  ~ uname -r
4.14.3-1-ARCH

➜  ~ journalctl -p 3 -xb                                        
-- Logs begin at Sat 2017-11-25 00:59:10 CST, end at Sun 2017-12-03 21:20:27 CST. --
12月 03 21:04:42 kepade17 kernel: [drm:wait_panel_status [i915]] *ERROR* PPS state mismatch
12月 03 21:04:42 kepade17 kernel: [drm:wait_panel_status [i915]] *ERROR* PPS state mismatch
12月 03 21:04:42 kepade17 kernel: [drm:wait_panel_status [i915]] *ERROR* PPS state mismatch
12月 03 21:04:42 kepade17 kernel: kfd kfd: kgd2kfd_probe failed

(In reply to joks from comment #5)
> so i tested this patch with latest kernel 4.14.3-rc1 and now all its ok. no
> errors reported in logs. thx for very quick fix!
Comment 8 Imre Deak 2017-12-05 09:34:43 UTC
The fix is in drm-tip, which is why this bug is FIXED. It will reach stable releases after we decide to backport the fix and it gets merged in those.

(In reply to kepade from comment #7)
> here…… I upgrade to kernel 4.14-3-1, have the some problem as there
> 
> ➜  ~ uname -r
> 4.14.3-1-ARCH
> 
> ➜  ~ journalctl -p 3 -xb                                        
> -- Logs begin at Sat 2017-11-25 00:59:10 CST, end at Sun 2017-12-03 21:20:27
> CST. --
> 12月 03 21:04:42 kepade17 kernel: [drm:wait_panel_status [i915]] *ERROR* PPS
> state mismatch
> 12月 03 21:04:42 kepade17 kernel: [drm:wait_panel_status [i915]] *ERROR* PPS
> state mismatch
> 12月 03 21:04:42 kepade17 kernel: [drm:wait_panel_status [i915]] *ERROR* PPS
> state mismatch
> 12月 03 21:04:42 kepade17 kernel: kfd kfd: kgd2kfd_probe failed
> 
> (In reply to joks from comment #5)
> > so i tested this patch with latest kernel 4.14.3-rc1 and now all its ok. no
> > errors reported in logs. thx for very quick fix!
Comment 9 saurabhnjai 2017-12-18 13:15:12 UTC
When i updated from fedora 26 to 27 i also get the "PPS mismatch error" and also the "failed to start default.target, transaction is destructive" the system is starting in emergency mode as i am a newbie in this so i cant understand what is the solution and as the system is starting in emergency mode i cant paste the logs in here my laptop is Lenovo ideapad in this post it is writtern that " Could you try to reproduce the error with the drm-tip branch from git://anongit.freedesktop.org/drm-tip providing also the dmesg log?" I dont know how to do that please help
Comment 10 Rob Clark 2017-12-18 15:28:41 UTC
(In reply to saurabhnjai from comment #9)
> When i updated from fedora 26 to 27 i also get the "PPS mismatch error" and
> also the "failed to start default.target, transaction is destructive" the
> system is starting in emergency mode as i am a newbie in this so i cant
> understand what is the solution and as the system is starting in emergency
> mode i cant paste the logs in here my laptop is Lenovo ideapad in this post
> it is writtern that " Could you try to reproduce the error with the drm-tip
> branch from git://anongit.freedesktop.org/drm-tip providing also the dmesg
> log?" I dont know how to do that please help

The "failed to start default.target" emergency-mode thing should be unrelated to the "PPS mismatch error" msg.. (which according to #c4 is not actually an error).  You should file a bug for this at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.